<template>
  <q-btn
    dense
    no-caps
    unelevated
    :style="styleCustom"
    outline
    color="primary"
    class="text-capitalize text-center q-px-lg q-py-xs"
    :text-color="textColor"
    :label="label"
    :icon="icon"
    :class="classCustom"
    :loading="loading"
    :disabled="isDisable"
    @click="$emit('click')"
  />
</template>

<script>
export default {
  props: {
    styleCustom: {
      type: String,
      required: false
    },
    label: {
      type: String,
      required: false
    },

    classCustom: {
      default: null
    },
    loading: {
      type: Boolean,
      required: false,
      default: false
    },
    textColor: {
      type: String,
      required: false,
      default: "black"
    },
    icon: {
      type: String,
      required: false
    },
    isDisable: {
      type: Boolean,
      required: false,
      default: false
    }
  }
};
</script>

<style scoped lang="scss"></style>
